unit RegFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellApi;

type
  TfrmRegister = class(TForm)
    grpRegInfo: TGroupBox;
    pnlButtons: TPanel;
    lblChallenge: TLabel;
    edtChallengeString: TEdit;
    lblUnlock: TLabel;
    edtUnlock: TEdit;
    btnDone: TButton;
    edtRegName: TEdit;
    lblName: TLabel;
    btnSetName: TButton;
    bvlStep1: TBevel;
    bvlStep3: TBevel;
    lblStep1: TLabel;
    lblSeeHelpFile: TLabel;
    btnRegister: TButton;
    lblStep3: TLabel;
    btnPurchase: TButton;
    bvlStep2: TBevel;
    lblStep2: TLabel;
    btnTSMWeb: TButton;
    procedure btnDoneClick(Sender: TObject);
    procedure btnRegisterClick(Sender: TObject);
    procedure btnSetNameClick(Sender: TObject);
    procedure edtUnlockChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure edtRegNameChange(Sender: TObject);
    procedure btnPurchaseClick(Sender: TObject);
    procedure btnTSMWebClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRegister: TfrmRegister;

implementation

uses
     SlockFrm;

{$R *.DFM}

procedure TfrmRegister.btnDoneClick(Sender: TObject);
begin
     Close;
end;

procedure TfrmRegister.btnRegisterClick(Sender: TObject);
begin
     frmMain.Slock1.RegName := edtRegName.Text;
     frmMain.Slock1.RegisterNow(edtUnlock.Text);
end;

procedure TfrmRegister.btnSetNameClick(Sender: TObject);
begin
     if (Length(edtRegName.Text) > 0) then
     begin
          frmMain.Slock1.RegName := edtRegName.Text;
          edtChallengeString.Text := frmMain.Slock1.ChallengeString;
          edtChallengeString.Enabled := True;
          edtUnlock.Enabled := True;
          edtUnlock.SetFocus;
     end
     else
     begin
          edtChallengeString.Enabled := False;
          edtUnlock.Enabled := False;
     end;
end;

procedure TfrmRegister.edtUnlockChange(Sender: TObject);
begin
     btnRegister.Enabled := (Length(edtUnlock.Text) > 0);
end;

procedure TfrmRegister.FormCreate(Sender: TObject);
begin
     edtRegName.Text := frmMain.Slock1.RegName;
end;

procedure TfrmRegister.edtRegNameChange(Sender: TObject);
begin
     // clear the registration information and disable
     // inputs
     edtChallengeString.Text := '';
     edtUnlock.Text := '';
     edtChallengeString.Enabled := False;
     edtUnlock.Enabled := False;
end;

procedure TfrmRegister.btnPurchaseClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil, PChar('http://order.kagi.com/?GDS'), nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmRegister.btnTSMWebClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil, PChar('http://www.crypto-central.com/index.html'), nil, nil, SW_SHOWNORMAL);
end;

end.
